Enumerations

# town_widget.h File Reference

Types related to the town widgets. More...

Go to the source code of this file.

## Enumerations
enum | TownDirectoryWidgets { WID_TD_SORT_NAME, WID_TD_SORT_POPULATION, WID_TD_LIST, WID_TD_SCROLLBAR, WID_TD_WORLD_POPULATION }
| Widgets of the TownDirectoryWindow class. More...
enum | TownAuthorityWidgets { WID_TA_CAPTION, WID_TA_RATING_INFO, WID_TA_COMMAND_LIST, WID_TA_SCROLLBAR, WID_TA_ACTION_INFO, WID_TA_EXECUTE }
| Widgets of the TownAuthorityWindow class. More...
enum | TownViewWidgets { WID_TV_CAPTION, WID_TV_VIEWPORT, WID_TV_INFO, WID_TV_CENTER_VIEW, WID_TV_SHOW_AUTHORITY, WID_TV_CHANGE_NAME, WID_TV_EXPAND, WID_TV_DELETE }
| Widgets of the TownViewWindow class. More...
enum | TownFoundingWidgets { WID_TF_NEW_TOWN, WID_TF_RANDOM_TOWN, WID_TF_MANY_RANDOM_TOWNS, WID_TF_TOWN_NAME_EDITBOX, WID_TF_TOWN_NAME_RANDOM, WID_TF_SIZE_SMALL, WID_TF_SIZE_MEDIUM, WID_TF_SIZE_LARGE, WID_TF_SIZE_RANDOM, WID_TF_CITY, WID_TF_LAYOUT_ORIGINAL, WID_TF_LAYOUT_BETTER, WID_TF_LAYOUT_GRID2, WID_TF_LAYOUT_GRID3, WID_TF_LAYOUT_RANDOM }
| Widgets of the FoundTownWindow class. More...

## Detailed Description

Types related to the town widgets.

Definition in file town_widget.h.

## Enumeration Type Documentation

enum TownAuthorityWidgets

Widgets of the TownAuthorityWindow class.

Enumerator:

  WID_TA_CAPTION | Caption of window.
  WID_TA_RATING_INFO | Overview with ratings for each company.
  WID_TA_COMMAND_LIST | List of commands for the player.
  WID_TA_SCROLLBAR | Scrollbar of the list of commands.
  WID_TA_ACTION_INFO | Additional information about the action.
  WID_TA_EXECUTE | Do-it button.

Definition at line 25 of file town_widget.h.

enum TownDirectoryWidgets

Widgets of the TownDirectoryWindow class.

Enumerator:

  WID_TD_SORT_NAME | Sort by town name.
  WID_TD_SORT_POPULATION | Sort by town population.
  WID_TD_LIST | List of towns.
  WID_TD_SCROLLBAR | Scrollbar for the town list.
  WID_TD_WORLD_POPULATION | The world's population.

Definition at line 16 of file town_widget.h.

enum TownFoundingWidgets

Widgets of the FoundTownWindow class.

Enumerator:

  WID_TF_NEW_TOWN | Create a new town.
  WID_TF_RANDOM_TOWN | Randomly place a town.
  WID_TF_MANY_RANDOM_TOWNS | Randomly place many towns.
  WID_TF_TOWN_NAME_EDITBOX | Editor for the town name.
  WID_TF_TOWN_NAME_RANDOM | Generate a random town name.
  WID_TF_SIZE_SMALL | Selection for a small town.
  WID_TF_SIZE_MEDIUM | Selection for a medium town.
  WID_TF_SIZE_LARGE | Selection for a large town.
  WID_TF_SIZE_RANDOM | Selection for a randomly sized town.
  WID_TF_CITY | Selection for the town's city state.
  WID_TF_LAYOUT_ORIGINAL | Selection for the original town layout.
  WID_TF_LAYOUT_BETTER | Selection for the better town layout.
  WID_TF_LAYOUT_GRID2 | Selection for the 2x2 grid town layout.
  WID_TF_LAYOUT_GRID3 | Selection for the 3x3 grid town layout.
  WID_TF_LAYOUT_RANDOM | Selection for a randomly chosen town layout.

Definition at line 47 of file town_widget.h.

enum TownViewWidgets

Widgets of the TownViewWindow class.

Enumerator:

  WID_TV_CAPTION | Caption of window.
  WID_TV_VIEWPORT | View of the center of the town.
  WID_TV_INFO | General information about the town.
  WID_TV_CENTER_VIEW | Center the main view on this town.
  WID_TV_SHOW_AUTHORITY | Show the town authority window.
  WID_TV_CHANGE_NAME | Change the name of this town.
  WID_TV_EXPAND | Expand this town (scenario editor only).
  WID_TV_DELETE | Delete this town (scenario editor only).

Definition at line 35 of file town_widget.h.